Search found 6 matches

[phpBB Debug] PHP Warning: in file [ROOT]/vendor/twig/twig/lib/Twig/Extension/Core.php on line 1275: count(): Parameter must be an array or an object that implements Countable
by teknohog
Mon 4. Aug 2014, 15:59
Forum: PHC Discussions
Topic: phc-intel 0.3.2 and 0.4.0 + dkms for kernel 2.6.27 to 5.3
Replies: 79
Views: 132258

Re: phc-intel 0.3.2 and 0.4.0 + dkms for kernel 2.6.27 to 3.

Linux 3.16 was released, and the latest 15.1 patch for 3.15 did not quite work. It was a reasonably small change, so I patched that bit by hand. Here is my 0.4.0 patch for 3.16, posted from a machine running it :)

http://iki.fi/teknohog/hacks/linux-phc- ... ohog.patch
by teknohog
Wed 11. Jun 2014, 01:15
Forum: PHC Discussions
Topic: phc-intel 0.3.2 and 0.4.0 + dkms for kernel 2.6.27 to 5.3
Replies: 79
Views: 132258

Re: phc-intel 0.3.2 and 0.4.0 + dkms for kernel 2.6.27 to 3.

lio wrote:Oops, I missed a change. :( Please give phc-intel-pack-rev15.1 a try..
It's fine :)
by teknohog
Tue 10. Jun 2014, 11:04
Forum: PHC Discussions
Topic: phc-intel 0.3.2 and 0.4.0 + dkms for kernel 2.6.27 to 5.3
Replies: 79
Views: 132258

Re: phc-intel 0.3.2 and 0.4.0 + dkms for kernel 2.6.27 to 3.

The package is now up to date with kernel 3.15. ...or is it? ;) drivers/cpufreq/acpi-cpufreq.c: In function ‘acpi_cpufreq_target_deprecated’: drivers/cpufreq/acpi-cpufreq.c:508:2: error: implicit declaration of function ‘cpufreq_notify_transition’ [-Werror=implicit-function-declaration] cpufreq_not...
by teknohog
Wed 29. Jan 2014, 11:54
Forum: PHC Discussions
Topic: phc-intel 0.3.2 and 0.4.0 + dkms for kernel 2.6.27 to 5.3
Replies: 79
Views: 132258

Re: phc-intel 0.3.2 and 0.4.0 + dkms for kernel 2.6.27 to 3.

lio wrote:
teknohog wrote:0.4.0 patch to 3.13 fails to compile:
Thanks for the pointer. Please try phc-intel-pack-rev13.1 where I have fixed this stupid copy and paste bug.
Thanks, works fine now :)
by teknohog
Tue 28. Jan 2014, 15:54
Forum: PHC Discussions
Topic: phc-intel 0.3.2 and 0.4.0 + dkms for kernel 2.6.27 to 5.3
Replies: 79
Views: 132258

Re: phc-intel 0.3.2 and 0.4.0 + dkms for kernel 2.6.27 to 3.

Just updated phc-intel for kernel 3.13. 0.4.0 patch to 3.13 fails to compile: drivers/cpufreq/acpi-cpufreq.c:1638:13: error: ‘acpi_cpufreq_verify’ undeclared here (not in a function) .verify = acpi_cpufreq_verify, ^ drivers/cpufreq/acpi-cpufreq.c:1639:2: warning: initialization from incompatible po...
by teknohog
Fri 10. Dec 2010, 16:20
Forum: PHC Discussions
Topic: Linux 2.6.36.2
Replies: 1
Views: 3862

Linux 2.6.36.2

2.6.36.2 seems to have a small change in acpi_cpufreq. I patched it by hand using 0.3.2 for kernel 2.6.36, it was only a one-line fix, and it works fine on my C2D T7200. Here is the new patch:

http://iki.fi/teknohog/hacks/phc-linux- ... 36.2.patch

Edit: this also works cleanly on 2.6.37.